# Multiloan

Quickly analyze the the total cost of paying off one or multiple (student) loans


<p align="center">
  <img width="500" height="576" src="https://github.com/michaelsilverstein/Loans/blob/master/data/figures/multiloan_home.png?raw=true"></img>
</p>


`multiloan` allows you to analyze the payment schedule of a single loan, multiple loans, and how the total cost of loans varies with a provided range of recurring payments.

# Documentation
**Documentation:** In detail description of `multiloan` classes available [here](https://github.com/michaelsilverstein/Loans/blob/master/Documentation.md)

**Tutorial**: An interactive tutorial is  [here](https://github.com/michaelsilverstein/Loans/blob/master/tutorial.ipynb)

# Setup
You can install this package with `pip`:

    pip install multiloan

# References and other tools
1. **https://unbury.us**: This is a great online tool that provided a lot of the inspiration for this project. It shows you the payment trajectory of multiple loans for a single monthly payment amount, as you can do with `multiloan`.

# Contributing
Contributions can be made to the GitHub project here: https://github.com/michaelsilverstein/Loans

Updates should be accompanied by new unit tests to the [test](test/) directory

Unit tests can be run with:

    python -m unittest